Show a user's recent uploads in the MW insert media dialog (MediaSearchWidget)
Open, LowPublic40 Story Points

Description

This should especially useful as new images may not appear in the API search results due to caching.

Details

Reference
bz60398
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz60398.
Esanders created this task.Jan 24 2014, 5:53 PM

(In reply to comment #0)

This should be relatively simple compared to full UploadWizard integration,

… but turns a simple search interface into a (multi-tabbed?) optional series of interfaces. :-(

new images may not appear in the API search results due to caching.

{{cn}}

The exceptional amount of work put into the new search system has this as its most significant user-facing improvement.

We can just show recent uploads when no search term is entered.

Currently we show the name of the article. Lots of users have mentioned that this is helpful (albeit limited utility for non-English users until we implement Wikidata-based item searching instead of string searching).

Walking away from this benefit from the somewhat-dubious benefit of your own uploads (most users don't upload, and we'd have no way to check for your "own" uploads on foreign repos) feels like a regression.

Yes there will be edge cases where the username on commons is different, but that is an edge case.

We can fill in the first row with recent uploads if found (which solves the case of "most users don't upload") and then fill with page title.

Re: search caching, 'File:Three_sided_football_pitch.svg' is still not showing up in search results, an hour after uploading.

Change 109670 had a related patch set uploaded by Esanders:
WIP Show recent uploads in MWMediaSearchWidget

https://gerrit.wikimedia.org/r/109670

This issue (can't see recent uploads in the selection) was pointed out to me by a client. At first I thought this was an IE caching problem, but I'm glad to see it has been spotted elsewhere.

This issue (can't see recent uploads in the selection) was pointed out to me by a client. At first I thought this was an IE caching problem, but I'm glad to see it has been spotted elsewhere.

This is a functionality task. The search results caching task was resolved by the switch to ElasticSearch months ago.

Jdforrester-WMF writes:

This is a functionality task. The search results caching task was
resolved by the switch to ElasticSearch months ago.

Just to be clear, though, this is something I would see in any browser,
right? I've seen it in multiple browsers and across reboots so it isn't
a local caching problem.

Jdforrester-WMF renamed this task from VisualEditor: Show a user's recent uploads in the MW insert media dialog to Show a user's recent uploads in the MW insert media dialog.Jul 27 2015, 12:19 AM
Jdforrester-WMF removed Esanders as the assignee of this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 12:19 AM

Change 210831 had a related patch set uploaded (by Esanders):
WIP Show recent uploads in MWMediaSearchWidget

https://gerrit.wikimedia.org/r/210831

Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 17 2015, 1:52 PM
Jdforrester-WMF renamed this task from Show a user's recent uploads in the MW insert media dialog to Show a user's recent uploads in the MW insert media dialog (MediaSearchWidget).
Jdforrester-WMF added a project: Design.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 40.
Jdforrester-WMF added subscribers: Zppix, Tchanders.

@Jdforrester-WMF I see the Design tag was added but just wanted to make it explicit, I assume correctly from T154234#3072200 that this task is currently blocked on a design for showing user uploads in the Media insertion dialog so that https://gerrit.wikimedia.org/r/210831 can be reworked to implement that?

Change 210831 abandoned by MarkAHershberger:
MWMediaSearchWidget: Show user uploads

https://gerrit.wikimedia.org/r/210831

Krinkle removed a subscriber: Krinkle.Apr 18 2017, 3:45 AM